#### D.7.2.8 sortier

Procedure from library `ainvar.lib` (see ainvar_lib).

Usage:
  sortier(id); id ideal/module

Return:
  the same ideal/module but with generators ordered by their leading terms, starting with the smallest

Example:

    LIB "ainvar.lib";
    ring q=0,(x,y,z,u,v,w),dp;
    ideal i=w,x,z,y,v;
    sortier(i);
    ==> _[1]=w
    ==> _[2]=v
    ==> _[3]=z
    ==> _[4]=y
    ==> _[5]=x

User manual for Singular version 4.4.1, 2025, generated by texi2html.